Images
List Images
Section titled “List Images”GET /images/{application_id}Path parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "items": [ { "id": "string", "version": 0, "application_id": "string", "repository_name": "string", "built": true, "error": true, "created": {}, "updated": {} } ], "pagination": {}}Get Image
Section titled “Get Image”GET /images/{image_id}/detailPath parameters:
| Name | Type | Description |
|---|---|---|
image_id | string |
Response:
{ "id": "string", "version": 0, "application_id": "string", "repository_name": "string", "image_id": {}, "built": true, "error": true, "error_detail": {}, "build_slug": {}, "build_ref": {}, "dockerfile": {}, "procfile": {}, "processes": {}, "image_metadata": {}, "commit_sha": {}, "created": {}, "updated": {}}Get Image Log
Section titled “Get Image Log”GET /images/{image_id}/logPath parameters:
| Name | Type | Description |
|---|---|---|
image_id | string |
Response:
{ "status": "string", "version": 0, "log_text": {}, "error": true, "error_detail": {}, "build_step": {}}Trigger Build
Section titled “Trigger Build”POST /images/{application_id}/buildPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "ok": true, "image_id": "string", "version": 0}